Cannot install LuxCore (Linux): Unable to find libstdc++.a at known locations.

Use this forum for general user support and related questions.
Post Reply
ChintusTheGreat
Posts: 6
Joined: Wed Feb 06, 2019 11:22 am

Cannot install LuxCore (Linux): Unable to find libstdc++.a at known locations.

Post by ChintusTheGreat » Wed Feb 06, 2019 11:43 am

When I tried to install LuxCoreRender for FreeCAD (As I found out LuxRender was obsoleted) from the Git repository using the Linux Compile repo available, I ran into trouble regarding library file libstdc++.a

OS: Fedora 29 Workstation

Steps to reproduce:

Code: Select all

$ cd ~
$ git clone https://github.com/LuxCoreRender/LinuxCompile.git
$ cd LinuxCompile
$ git clone https://github.com/LuxCoreRender/LuxCore.git
$ ./build-64-sse2 LuxCore
Output:

Code: Select all

 *** BUILDING FOR X86-64 (SSE2) ***
 * LuxCore static enabled
 * OpenCL disabled
 * Using GCC compiler
 * Checking distfiles
 * Downloading linux_deps.tgz
--2019-02-06 17:01:12--  https://github.com/LuxCoreRender/LinuxCompileDeps/releases/download/luxcorerender_v2.2alpha0/linux_deps.tgz
Resolving github.com (github.com)... 192.30.253.113, 192.30.253.112
Connecting to github.com (github.com)|192.30.253.113|:443... connected.
HTTP request sent, awaiting response... 302 Found
Location: https://github-production-release-asset-2e65be.s3.amazonaws.com/112501560/84661f00-27c0-11e9-9e5c-50792e775077?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=AKIAIWNJYAX4CSVEH53A%2F20190206%2Fus-east-1%2Fs3%2Faws4_request&X-Amz-Date=20190206T113113Z&X-Amz-Expires=300&X-Amz-Signature=b1e8c1f80b31f5349544a71fb3c305596f53a592787c9f5355217b1bcaf31f6e&X-Amz-SignedHeaders=host&actor_id=0&response-content-disposition=attachment%3B%20filename%3Dlinux_deps.tgz&response-content-type=application%2Foctet-stream [following]
--2019-02-06 17:01:14--  https://github-production-release-asset-2e65be.s3.amazonaws.com/112501560/84661f00-27c0-11e9-9e5c-50792e775077?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=AKIAIWNJYAX4CSVEH53A%2F20190206%2Fus-east-1%2Fs3%2Faws4_request&X-Amz-Date=20190206T113113Z&X-Amz-Expires=300&X-Amz-Signature=b1e8c1f80b31f5349544a71fb3c305596f53a592787c9f5355217b1bcaf31f6e&X-Amz-SignedHeaders=host&actor_id=0&response-content-disposition=attachment%3B%20filename%3Dlinux_deps.tgz&response-content-type=application%2Foctet-stream
Resolving github-production-release-asset-2e65be.s3.amazonaws.com (github-production-release-asset-2e65be.s3.amazonaws.com)... 52.216.82.224
Connecting to github-production-release-asset-2e65be.s3.amazonaws.com (github-production-release-asset-2e65be.s3.amazonaws.com)|52.216.82.224|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: 517008532 (493M) [application/octet-stream]
Saving to: ‘/home/mitchsl/LinuxCompile/distfiles/linux_deps.tgz’

/home/mitchsl/LinuxCompile/distfiles/ 100%[========================================================================>] 493.06M  4.51MB/s    in 1m 59s  

2019-02-06 17:03:14 (4.16 MB/s) - ‘/home/mitchsl/LinuxCompile/distfiles/linux_deps.tgz’ saved [517008532/517008532]

boost_1_67_0.tar.gz
bzip2-1.0.6.tar.gz
c-blosc-1.14.2-bin.tgz
embree-3.2.4.x86_64.linux.tar.gz
freetype-2.4.11.tar.bz2
ilmbase-2.2.0.tar.gz
jpegsrc.v6b.tar.gz
libpng-1.5.26.tar.xz
oidn-0.8.1.x86_64.linux.tar.gz
oiio-Release-1.8.11.tar.gz
openexr-2.2.0.tar.gz
qt-everywhere-opensource-src-4.8.6.tar.gz
tbb2018_20180312oss_lin.tgz
tiff-4.0.3.tar.gz
xz-5.0.5.tar.xz
zlib-1.2.8.tar.gz
 * Done checking distfiles
 * Checking target tree
 * Target tree is absent, populating
mkdir: created directory '/home/mitchsl/LinuxCompile/target-64-sse2'
mkdir: created directory '/home/mitchsl/LinuxCompile/target-64-sse2/bin'
mkdir: created directory '/home/mitchsl/LinuxCompile/target-64-sse2/include'
mkdir: created directory '/home/mitchsl/LinuxCompile/target-64-sse2/lib'
mkdir: created directory '/home/mitchsl/LinuxCompile/target-64-sse2/share'
 * Done creating target tree
 * Checking libstdc++
 * Library symlink is missing, attempting to figure out the proper location
 !!! Unable to find libstdc++.a at known locations.
 !!! You have to find the library manually and symlink
 !!! it to the following path:
 !!! /home/mitchsl/LinuxCompile/target-64-sse2/lib/libstdc++.a
Then, I tried to create a symlink with the required libstdc++.a library

Code: Select all

$ ln -s /usr/lib/gcc/x86_64-redhat-linux/8/32/libstdc++.a ./target-64-sse2/lib/libstdc++.a
$ ./build-64-sse2 LuxCore
But still it gave me an error

Code: Select all

 *** BUILDING FOR X86-64 (SSE2) ***
 * LuxCore static enabled
 * OpenCL disabled
 * Using GCC compiler
 * Checking distfiles
boost_1_67_0.tar.gz
bzip2-1.0.6.tar.gz
c-blosc-1.14.2-bin.tgz
embree-3.2.4.x86_64.linux.tar.gz
freetype-2.4.11.tar.bz2
ilmbase-2.2.0.tar.gz
jpegsrc.v6b.tar.gz
libpng-1.5.26.tar.xz
oidn-0.8.1.x86_64.linux.tar.gz
oiio-Release-1.8.11.tar.gz
openexr-2.2.0.tar.gz
qt-everywhere-opensource-src-4.8.6.tar.gz
tbb2018_20180312oss_lin.tgz
tiff-4.0.3.tar.gz
xz-5.0.5.tar.xz
zlib-1.2.8.tar.gz
 * Done checking distfiles
 * Checking target tree
 * Target tree exists
 * Checking libstdc++
 * Library symlink is missing, attempting to figure out the proper location
 !!! Unable to find libstdc++.a at known locations.
 !!! You have to find the library manually and symlink
 !!! it to the following path:
 !!! /home/mitchsl/LinuxCompile/target-64-sse2/lib/libstdc++.a

User avatar
Dade
Developer
Posts: 1942
Joined: Mon Dec 04, 2017 8:36 pm

Re: Cannot install LuxCore (Linux): Unable to find libstdc++.a at known locations.

Post by Dade » Wed Feb 06, 2019 12:36 pm

The scripts looks for libstdc++.a here: https://github.com/LuxCoreRender/LinuxC ... repare#L73

It supposed to be at /usr/lib/gcc/${ARCH}-linux-gnu/$GCCVER/libstdc++.a or /usr/lib/gcc/${ARCH}-linux-gnu/$GCCVERMAJOR/libstdc++.a

You can also get pre-compiled Linux binaries from: https://github.com/LuxCoreRender/LuxCor ... ender_v2.1
Support LuxCoreRender project with salts and bounties

ChintusTheGreat
Posts: 6
Joined: Wed Feb 06, 2019 11:22 am

Re: Cannot install LuxCore (Linux): Unable to find libstdc++.a at known locations.

Post by ChintusTheGreat » Wed Feb 06, 2019 1:17 pm

Dade wrote:
Wed Feb 06, 2019 12:36 pm
The scripts looks for libstdc++.a here: https://github.com/LuxCoreRender/LinuxC ... repare#L73

It supposed to be at /usr/lib/gcc/${ARCH}-linux-gnu/$GCCVER/libstdc++.a or /usr/lib/gcc/${ARCH}-linux-gnu/$GCCVERMAJOR/libstdc++.a

You can also get pre-compiled Linux binaries from: https://github.com/LuxCoreRender/LuxCor ... ender_v2.1
Oh yeah, it seems I have a similar problem regarding the libstdc++.a as this guy: https://bugzilla.redhat.com/show_bug.cgi?id=238112. Thanks for pointing out the pre-compiled binaries, couldn't find that before. :)

ChintusTheGreat
Posts: 6
Joined: Wed Feb 06, 2019 11:22 am

Re: Cannot install LuxCore (Linux): Unable to find libstdc++.a at known locations.

Post by ChintusTheGreat » Wed Feb 06, 2019 2:22 pm

But how do I run the precompiled binaries with OIDN (which I have installed)?

User avatar
B.Y.O.B.
Developer
Posts: 2124
Joined: Mon Dec 04, 2017 10:08 pm
Location: Germany
Contact:

Re: Cannot install LuxCore (Linux): Unable to find libstdc++.a at known locations.

Post by B.Y.O.B. » Wed Feb 06, 2019 2:29 pm

The OIDN integration was done very recently, there is not yet an official release containing it.
You can use an auto-generated build: https://github.com/LuxCoreRender/LuxCor ... tag/latest
Support LuxCoreRender project with salts and bounties

ChintusTheGreat
Posts: 6
Joined: Wed Feb 06, 2019 11:22 am

Re: Cannot install LuxCore (Linux): Unable to find libstdc++.a at known locations.

Post by ChintusTheGreat » Wed Feb 06, 2019 3:10 pm

Thanks for the tip!

Post Reply